import { GraphClient, HandlerResult } from "@atomist/automation-client";
import { SoftwareDeliveryMachine } from "@atomist/sdm";
import { ScmProvider } from "../typings/types";
import { ConvergenceOptions } from "./convergeGitHub";
/**
 * Start the convergence for an entire workspace
 */
export declare function convergeWorkspace(workspaceId: string, sdm: SoftwareDeliveryMachine, options: ConvergenceOptions): Promise<void>;
/**
 * Converge a single provider
 *
 * This is main entry point into the GitHub webhook convergence logic
 */
export declare function convergeProvider(provider: ScmProvider.ScmProvider, graphClient: GraphClient): Promise<HandlerResult>;
/**
 * Converge a single org
 */
export declare function convergeOrg(org: string, provider: ScmProvider.ScmProvider, token: string, graphClient: GraphClient): Promise<void>;
/**
 * Converge a single repo
 */
export declare function convergeRepo(owner: string, repo: string, provider: ScmProvider.ScmProvider, token: string, graphClient: GraphClient): Promise<void>;
