import { SoftwareDeliveryMachineConfiguration } from "@atomist/sdm";
import { AbstractActivityFeedEventReader } from "./support/AbstractActivityFeedEventReader";
import { FeedEvent, ScmFeedCriteria } from "./support/FeedEvent";
export declare class GitHubActivityFeedEventReader extends AbstractActivityFeedEventReader {
    protected readonly criteria: ScmFeedCriteria;
    protected readonly token: string;
    protected readonly configuration: SoftwareDeliveryMachineConfiguration;
    constructor(criteria: ScmFeedCriteria, token: string, configuration: SoftwareDeliveryMachineConfiguration);
    /**
     * Read the GitHub activity feed
     * @return {Promise<void>}
     */
    readNewEvents(): Promise<FeedEvent[]>;
}
