import { FeedEvent, FeedEventReader, ScmFeedCriteria } from "./FeedEvent";
export declare abstract class AbstractActivityFeedEventReader implements FeedEventReader {
    protected readonly criteria: ScmFeedCriteria;
    readonly eventWindow: FeedEvent[];
    constructor(criteria: ScmFeedCriteria);
    /**
     * Read the GitHub activity feed
     * @return {Promise<void>}
     */
    abstract readNewEvents(): Promise<FeedEvent[]>;
    start(): Promise<void>;
}
