import { ExtensionPack } from "@atomist/sdm";
/**
 * An extension pack for watching GitHub organizations.
 *
 * Configuration:
 * sdm.scm.owners configuration is required -- name of your GitHub owner
 * sdm.scm.user should be "true" if this is the name of an owner, not an org
 * sdm.scm.intervalSeconds changes the polling interval, which defaults to 10 seconds
 * sdm.scm.apiBase enables you to set your GHE server: default is GitHub.com
 */
export interface WatchOptions {
    token?: string;
    owner?: string | string[];
    user?: boolean;
    interval?: number;
    apiUrl?: string;
}
export declare function watchGitHub(options?: WatchOptions): ExtensionPack;
